# xMnt

A tool for mounting encrypted partitions.

## Use case

I have encrypted partitions that I need to mount them from time to time.

I use GPG to encrypt the decryption keys for each partition, save them as `${uuid}.key`

With this tool, I can mount and unmount them with one command.

## Usage

Presets are stored in `$XDG_CONFIG_HOME/xmnt/presets`.

For example, save the following content as `boot.yml` in the presets directory:

```yaml
type: blk
path: /dev/nvme0n1p2
mountpoint: /boot
```

Then when you run `xmnt boot`, the tool will decrypt `/dev/nvme0n1p2` and mount it on `/boot`.

You can also use it without defining presets. See `--help` for detailed usage.

## Supported partition types

- luks encrypted partitions (e.g. ext4)
- regular unencrypted partitions
- zfs datasets
